List webhooks
GET
/api/webhooks/hooks
const url = 'https://reignitor.com/api/webhooks/hooks';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reignitor.com/api/webhooks/hooks \ --header 'Authorization: Bearer <token>'Returns this account’s webhook subscriptions. Signing secrets are never returned here.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Your webhooks.
Media typeapplication/json
object
hooks
required
Array<object>
object
id
string | integer
event
string
webhook_url
string
description
string | null
active
boolean
has_secret
Whether the webhook has a signing secret. The secret itself is never returned after creation.
boolean
failure_count
Failed deliveries in a row. After 20 the webhook is switched off.
integer | null
last_delivery_at
string | null
last_status
string | null
key
additional properties
any
Example
{ "hooks": [ { "event": "user.signup" } ]}The key is missing, malformed, unknown or revoked.
Media typeapplication/json
Every error has a human-readable error. Most also have a machine-readable code.
object
error
required
A message you can show to a person.
string
code
A stable code to branch on. Not every error has one.
string
details
Extra context for some codes, such as retryAfter or usage figures.
retryAfter
Seconds to wait before retrying. Present on some RATE_LIMITED errors.
integer
feature
string
plan
string
key
additional properties
any
Examples
No key, or not an emp_ key
{ "error": "Unauthorized", "code": "NO_API_KEY"}Unknown or revoked key
{ "error": "Invalid or revoked API key", "code": "INVALID_API_KEY"}